Summary:	Bouml and Douml reference manual
Name:		bouml-doc
Version:	7.3
Release:	%mkrel 5
License:	GPLv2+
Group:		Development/Other
URL:		https://www.bouml.fr/
Source0:	https://www.bouml.fr/doc%{version}.tar.gz
Source1:	https://www.bouml.fr/doc%{version}_A4.pdf
BuildArch:	noarch

%description
BOUML is a free Unified Modeling Language (UML 2) tool box allowing you
to specify and generate code in C++, Java, Idl, Php and Python.
You can use it to create nearly all of UML diagrams.
BOUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.
DoUML is using manual from BOUML.

Contains reference manual.

%prep
%setup -q -c %{name}-%{version}
cp %{SOURCE1} .

%build
#nothing

%install
%__install -d -m 755 %{buildroot}%{_datadir}/%{name}/pdf
mv doc %{buildroot}%{_datadir}/%{name}/html
mv *.pdf %{buildroot}%{_datadir}/%{name}/pdf

%files
%{_datadir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 7.3-5.mga10
+ Revision: 2202536
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 7.3-4.mga9
+ Revision: 1807804
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 7.3-3.mga8
+ Revision: 1501338
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 7.3-2.mga7
+ Revision: 1277712
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 7.3-1.mga7
+ Revision: 1212061
- Update documentation to version 7.3

* Thu Feb 04 2016 umeabot <umeabot> 4.21-4.mga6
+ Revision: 934829
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.21-3.mga5
+ Revision: 749755
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.21-2.mga5
+ Revision: 678208
- Mageia 5 Mass Rebuild

* Tue May 20 2014 alexl <alexl> 4.21-1.mga5
+ Revision: 624145
- imported package bouml-doc

